package com.steering.pss.qcm.model;

import java.util.ArrayList;

/**
 * 数据库表COM_BASE_PURCHASE_AGREEMENT所对应的实体类（生成工具：代码生成工具4.0
 * 访问地址：http://172.16.2.128/tool/）
 * 
 * @author tgcx-test date 2016-07-26
 */
@SuppressWarnings("serial")
public class ComBasePurchaseAgreementEntity implements java.io.Serializable {
	/**
	 * 协议号代码
	 */
	private String agreementCode = "";
	/**
	 * 协议号描述
	 */
	private String agreementDesc = "";
	/**
	 * 签订日期
	 */
	private String signingDate = "";
	/**
	 * 备注
	 */
	private String memo = "";
	/**
	 * 创建人
	 */
	private String createName = "";
	/**
	 * 创建时间
	 */
	private String createTime = "";
	/**
	 * 修改人
	 */
	private String updateName = "";
	/**
	 * 修改时间
	 */
	private String updateTime = "";
	/**
	 * 删除人
	 */
	private String deleteName = "";
	/**
	 * 删除时间
	 */
	private String deleteTime = "";
	/**
	 * 有效标志(1:有效，0:无效)
	 */
	private String validflag = "";
	private String stdCodeNk = "";
	private String stdNameNk = "";
	
	private ArrayList<ComBasePurchaseProviderEntity> listProvider = null;

	public ArrayList<ComBasePurchaseProviderEntity> getListProvider() {
		return listProvider;
	}

	public void setListProvider(ArrayList<ComBasePurchaseProviderEntity> listProvider) {
		this.listProvider = listProvider;
	}

	/**
	 * 协议号代码
	 * 
	 * @return value
	 */
	public String getAgreementCode() {
		return agreementCode;
	}

	/**
	 * 协议号代码
	 * 
	 * @param agreementCode
	 *            value
	 */
	public void setAgreementCode(String agreementCode) {
		this.agreementCode = agreementCode;
	}

	/**
	 * 协议号描述
	 * 
	 * @return value
	 */
	public String getAgreementDesc() {
		return agreementDesc;
	}

	/**
	 * 协议号描述
	 * 
	 * @param agreementDesc
	 *            value
	 */
	public void setAgreementDesc(String agreementDesc) {
		this.agreementDesc = agreementDesc;
	}

	/**
	 * 签订日期
	 * 
	 * @return value
	 */
	public String getSigningDate() {
		return signingDate;
	}

	/**
	 * 签订日期
	 * 
	 * @param signingDate
	 *            value
	 */
	public void setSigningDate(String signingDate) {
		this.signingDate = signingDate;
	}

	/**
	 * 备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 删除人
	 * 
	 * @return value
	 */
	public String getDeleteName() {
		return deleteName;
	}

	/**
	 * 删除人
	 * 
	 * @param deleteName
	 *            value
	 */
	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	/**
	 * 删除时间
	 * 
	 * @return value
	 */
	public String getDeleteTime() {
		return deleteTime;
	}

	/**
	 * 删除时间
	 * 
	 * @param deleteTime
	 *            value
	 */
	public void setDeleteTime(String deleteTime) {
		this.deleteTime = deleteTime;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}
	
	public String getStdCodeNk() {
		return stdCodeNk;
	}

	public void setStdCodeNk(String stdCodeNk) {
		this.stdCodeNk = stdCodeNk;
	}

	public String getStdNameNk() {
		return stdNameNk;
	}

	public void setStdNameNk(String stdNameNk) {
		this.stdNameNk = stdNameNk;
	}
}
